# Payu ruby SDK

## Installation

Add this line to your app's Gemfile:

```rb
gem 'payu-sdk'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install payu-sdk

## Usage

Remember to `require 'payu-sdk'` before anything else.

Next, you need to bootstrap using key and salt by following:

```rb
PayU.init('<payu_key>', '<payu_salt>')
```
If you are using rails, the right place to do this might be config/initializers/payu.rb.

### Hash API

```rb
hash_str = PayU::Hasher.generate_hash txn_id: "5512244", amount: "1000", product_info: 'mobile', first_name: 'Jacob', email: 'test@payu.in'

# Validate reverse hash received from payu after checkout

reverse_hash = '<payu_hash>' # hash received after payment from payu
is_verified = PayU::Hasher.validate_hash reverse_hash, txn_id: "5512244", amount: "1000", product_info: 'mobile', first_name: 'Jacob', email: 'test@payu.in', status: 'success'
```
