require "minitest/autorun"
require "payu"

describe PayU do
  before do
    PayU.init('bjg$121', 'vhgvs75')
  end

  describe "when paramters are valid for generate_hash" do
    it "must return hash string" do
      _(PayU::Hasher.generate_hash txn_id: "5512244", amount: "1000", product_info: 'mobile', first_name: 'Jacob', email: 'test@payu.in').must_equal 'b035620f2f75e99b74e8064203519daea6d8fb5ac81d4c4c599e1b50b63f2d610195145e9769e527682aff06555e511e9c3ec58ea51291cccdbcc3427b35630d'
    end
  end

  describe "when paramters are valid for validate_hash" do
    it "must return false when hash is not valid" do
      _(PayU::Hasher.validate_hash 'reverse_hash', txn_id: "5512244", amount: "1000", product_info: 'mobile', first_name: 'Jacob', email: 'test@payu.in', status: 'success').must_equal false
    end

     it "must return true when hash is valid" do
      _(PayU::Hasher.validate_hash '10da174f9789c00c3290dbda12947deae227cd7f039d14db587c2be3663b4bde9d405edd4dad0a4458cbc36ee10e92389a81213b54a5d83ce68aad32fa61eef4', txn_id: "5512244", amount: "1000", product_info: 'mobile', first_name: 'Jacob', email: 'test@payu.in', status: 'success').must_equal true
    end

  end

end